Platform & IdentityStores
Update store slug
Changes the store slug and moves its default platform hostname to the new slug.
PATCH
/v1/stores/slugChanges the store slug and moves its default platform hostname to the new slug.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/v1/stores/slug" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "slug": "example-resource" }'{ "storeId": "7204558912004325301", "slug": "example-resource", "domain": "example"}